View Issue Details

IDProjectCategoryView StatusLast Update
0007616GNUnetbuild processpublic2023-06-01 20:26
Reporterulfvonbelow Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.19.4Fixed in Version0.19.4 
Summary0007616: configure.ac passes -Wstacl-protector instead of -Wstack-protector when --enable-gcc-hardening is given
DescriptionSee summary
Steps To Reproduce./configure --enable-gcc-hardening
Additional InformationPatch attached
Tagsbug, patch
Attached Files
0001-Fix-Wstacl-protector-typo.patch (850 bytes)   
From 38e2fcff282f37e58f21cf8ea88451b46fcc16b8 Mon Sep 17 00:00:00 2001
From: ulfvonbelow <strilen@tilde.club>
Date: Sat, 28 Jan 2023 15:05:17 -0600
Subject: [PATCH] -Fix -Wstacl-protector typo.

---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index 7ba1d27a7..862443ebc 100644
--- a/configure.ac
+++ b/configure.ac
@@ -489,7 +489,7 @@ AC_ARG_ENABLE([gcc-hardening],
   [AS_HELP_STRING([--enable-gcc-hardening], [enable compiler security checks])],
   [AS_IF([test "x$enableval" = "xyes"],
      [CFLAGS="$CFLAGS -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-all"
-      CFLAGS="$CFLAGS -fwrapv -fPIE -Wstacl-protector"
+      CFLAGS="$CFLAGS -fwrapv -fPIE -Wstack-protector"
       CFLAGS="$CFLAGS --param ssp-buffer-size=1"
       LDFLAGS="$LDFLAGS -pie"])])
 
-- 
2.38.1

Activities

schanzen

2023-06-01 20:26

administrator   ~0020242

released some time ago

Issue History

Date Modified Username Field Change
2023-01-29 21:17 ulfvonbelow New Issue
2023-01-29 21:17 ulfvonbelow Tag Attached: bug
2023-01-29 21:17 ulfvonbelow Tag Attached: patch
2023-01-29 21:17 ulfvonbelow File Added: 0001-Fix-Wstacl-protector-typo.patch
2023-02-06 05:22 schanzen Assigned To => schanzen
2023-02-06 05:22 schanzen Status new => assigned
2023-02-06 05:22 schanzen Target Version => 0.19.4
2023-02-06 05:47 schanzen Status assigned => resolved
2023-02-06 05:47 schanzen Resolution open => fixed
2023-02-06 05:47 schanzen Fixed in Version => 0.19.4
2023-06-01 20:26 schanzen Note Added: 0020242
2023-06-01 20:26 schanzen Status resolved => closed